Skip to main content
POST
/
remember
Store a memory
curl --request POST \
  --url https://api.deyta.ai/gateway/v1/remember \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "namespace_id": "<string>",
  "external_reference_id": "<string>",
  "title": "<string>",
  "source": "<string>",
  "metadata": {},
  "ontology_id": "<string>"
}
'
{
  "success": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

API key obtained from the Deyta Console

Body

application/json
content
string
required

The content to store as a memory.

Minimum string length: 1
namespace_id
string

Namespace ID. Required if external_reference_id is not provided.

external_reference_id
string

External reference ID to resolve namespace. Required if namespace_id is not provided.

title
string

Optional title for the memory.

source
string

Source of the content (e.g. URL, document name).

metadata
object

Arbitrary key-value metadata to attach to the memory.

ontology_id
string

Ontology ID to use for entity extraction.

Response

Memory stored successfully

success
boolean
Example:

true

data
object

Details of the stored memory.